<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>OPACS报告查询系统</title>

<style type="text/css">
body {
	width: 1250px;
	font-size: 16px;
	margin-right: auto;
	margin-left: auto;
	position: relative;
}
.lineTop {
	width: 620px;
	height: 1px;
	border-top: 1px solid #000000;
}
.lineBottom {
	width: 620px;
	height: 1px;
	border-bottom: 1px solid #000000;
}
.lineDot {
	width: 620px;
	height: 1px;
	border-top: 1px dashed #000000;
}
.ReportHeader1 {
	text-align: center;
	font-family: "宋体";
	font-size: 20pt;
	font-weight: bold;
}
.ReportHeader2 {
	font: bold 18pt 宋体;
	text-align: center;
}
.ReportHeader3 {
	font: bold 18pt 宋体;
	text-align: center;
}
.ReportReturn
{
	font: 12pt 宋体;
	text-align: right;
}
A:link{text-decoration:none; color:#000000;}
A:visited{text-decoration:none; color:#000000;}
A:hover{text-decoration:underline; color: #ff00ff;}

.StudyInfo {
    font: 12pt 宋体;
	color: #000000;
}
.ReportText2 {
	font: bold 15pt 宋体; 
	color: #000000;
}
.ReportText {
	width: 578px; 
	font: 12pt 宋体; 
	color: #000000;
	padding-left: 42px;
}
.ReportSignature {
	font: 12pt 宋体;
	text-align: right;
}
.ReportFooter {
	font: 9pt 宋体;
	text-align: center;
}
</style>

<script type="text/javascript">
function LayoutLImages()
{
	var iImageCount = 0; // 报告图像数目
	var oDiv = document.getElementById("idLImages");
	for (var i=0; i<oDiv.childNodes.length; i++)
	{
		if (oDiv.childNodes[i].nodeName.toUpperCase() == "IMG")
			iImageCount++;
	}

    // ！使用百分比会导致div宽度异常
    var iLImageRatios = new Array();
    iLImageRatios[0] = "0";
    iLImageRatios[1] = "390";
    iLImageRatios[2] = "295";
    iLImageRatios[3] = "295";
    iLImageRatios[4] = "295";
    iLImageRatios[5] = "295";
    iLImageRatios[6] = "295";
    iLImageRatios[7] = "295";
    iLImageRatios[8] = "295";
    iLImageRatios[9] = "295";

    // 排列图像
    var iBodyWidth = document.body.clientWidth;
    var iPageWidth = iBodyWidth * 0.48;
    if (iImageCount > 0)
    {
        var oReptImage0 = document.getElementById("imfLImage0");
        oReptImage0.style.width = iLImageRatios[iImageCount];
        if (iImageCount == 1)
        {
            oReptImage0.style.position = "relative";
            oReptImage0.style.left = (iPageWidth - iLImageRatios[iImageCount]) / 2;
        }
    }
    if (iImageCount > 1)
    {
        var oReptImage1 = document.getElementById("imfLImage1")
        oReptImage1.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 2)
    {
        var oReptImage2 = document.getElementById("imfLImage2");
        oReptImage2.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 3)
    {
        var oReptImage3 = document.getElementById("imfLImage3");
        oReptImage3.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 4)
    {
        var oReptImage4 = document.getElementById("imfLImage4");
        oReptImage4.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 5)
    {
        var oReptImage5 = document.getElementById("imfLImage5");
        oReptImage5.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 6)
    {
        var oReptImage6 = document.getElementById("imfLImage6");
        oReptImage6.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 7)
    {
        var oReptImage7 = document.getElementById("imfLImage7");
        oReptImage7.style.width = iLImageRatios[iImageCount];
    }
    if (iImageCount > 8)
    {
        var oReptImage8 = document.getElementById("imfLImage8");
        oReptImage8.style.width = iLImageRatios[iImageCount];
    }
}
function LayoutRImages()
{
	var iImageCount = 0; // 报告图像数目
	var oDiv = document.getElementById("idRImages");
	for (var i=0; i<oDiv.childNodes.length; i++)
	{
		if (oDiv.childNodes[i].nodeName.toUpperCase() == "IMG")
			iImageCount++;
	}

    // ！使用百分比会导致div宽度异常
    var iRImageRatios = new Array();
   	iRImageRatios[0] = "0";
    iRImageRatios[1] = "390";
    iRImageRatios[2] = "295";
    iRImageRatios[3] = "295";
    iRImageRatios[4] = "295";
    iRImageRatios[5] = "295";
    iRImageRatios[6] = "295";
    iRImageRatios[7] = "295";
    iRImageRatios[8] = "295";
    iRImageRatios[9] = "295";

    // 排列图像
    var iBodyWidth = document.body.clientWidth;
    var iPageWidth = iBodyWidth * 0.48;
    if (iImageCount > 0)
    {
        var oReptImage0 = document.getElementById("imfRImage0");
        oReptImage0.style.width = iRImageRatios[iImageCount];
        if (iImageCount == 1)
        {
            oReptImage0.style.position = "relative";
            oReptImage0.style.left = (iPageWidth - iRImageRatios[iImageCount]) / 2;
        }
    }
    if (iImageCount > 1)
    {
        var oReptImage1 = document.getElementById("imfRImage1")
        oReptImage1.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 2)
    {
        var oReptImage2 = document.getElementById("imfRImage2");
        oReptImage2.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 3)
    {
        var oReptImage3 = document.getElementById("imfRImage3");
        oReptImage3.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 4)
    {
        var oReptImage4 = document.getElementById("imfRImage4");
        oReptImage4.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 5)
    {
        var oReptImage5 = document.getElementById("imfRImage5");
        oReptImage5.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 6)
    {
        var oReptImage6 = document.getElementById("imfRImage6");
        oReptImage6.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 7)
    {
        var oReptImage7 = document.getElementById("imfRImage7");
        oReptImage7.style.width = iRImageRatios[iImageCount];
    }
    if (iImageCount > 8)
    {
        var oReptImage8 = document.getElementById("imfRImage8");
        oReptImage8.style.width = iRImageRatios[iImageCount];
    }
}
</script>

</head>

<body>
<table border="0">
<tr>
  <td valign="top">
	<div class="ReportHeader1">{%lblLReportTitle1%}</div>
	<div class="ReportHeader2">{%lblLReportTitle2%}</div>
	<div class="ReportHeader3">{%lblLReportTitle3%}</div>
	<div class="ReportReturn">{%lblLReturn%}</div>
	<script type="text/javascript">
	// 去掉下划线
	var oA1 = document.getElementById("LBLLREPORTTITLE1");
	if (oA1 != null)
		oA1.style.textDecoration = "none";
	var oA2 = document.getElementById("LBLLREPORTTITLE2");
	if (oA2 != null)
		oA2.style.textDecoration = "none";
	var oA3 = document.getElementById("LBLLREPORTTITLE3");
	if (oA3 != null)
		oA3.style.textDecoration = "none";
	var oA4 = document.getElementById("LBLLRETURN");
	if (oA4 != null)
		oA4.style.textDecoration = "none";
	</script>
	<br/>
	<div class="StudyInfo"> 姓名：{%lblLPatientName%}&nbsp;&nbsp;&nbsp;&nbsp;性别：{%lblLPatientSex%}&nbsp;&nbsp;&nbsp;&nbsp;年龄：{%lblLPatientAge%}&nbsp;&nbsp;&nbsp;&nbsp;临床诊断：{%lblLStudyClinicinfo%}<br />
	<div class="lineDot"></div>
	检查号：{%lblLStudyGuid%}    &nbsp;&nbsp;&nbsp;设备型号：{%lblLStudyModalityType%}&nbsp;&nbsp;&nbsp;检查部位：{%lblLStudyBodypart%}
	<div class="lineDot"></div>
	申请科室：{%lblLStudyDepartment%}    &nbsp;&nbsp;&nbsp;申请医生：{%lblLStudyApplicant%}&nbsp;&nbsp;&nbsp;住院号：{%lblLStudyNumber2%}&nbsp;&nbsp;&nbsp;病床号：{%lblLStudySickBed%}&nbsp;&nbsp;&nbsp;<br />
	<div class="lineDot"></div>
	</div>
	<div id="idLImages"> 
	{%imfLImage0%}
	{%imfLImage1%}
	{%imfLImage2%}
	{%imfLImage3%}
	{%imfLImage4%}
	{%imfLImage5%}
	{%imfLImage6%}
	{%imfLImage7%}
	{%imfLImage8%} 
	</div><br />
	<script type="text/javascript">
	LayoutLImages();
	</script>
	<div class="ReportText2">影像所见:</div>
	<div class="ReportText">{%txtLReportFinding%}</div>
	<br/>
	<div class="ReportText2">影像提示:</div>
	<div class="ReportText">{%txtLReportDiagnosis%}</div>
	<br/>
	<div class="ReportSignature"><strong>诊断医生: </strong>{%lblLReportDiagnostician%}</div>
	<div class="ReportSignature"><strong>报告时间: </strong>{%lblLReportDttm%}</div>
	<script type="text/javascript">
	// 去掉报告时间，保留报告日期.
	var oSpan = document.getElementById("LBLLREPORTDTTM");
	var sReportDttm = oSpan.innerHTML;
	var sReportDate = sReportDttm.split(" ");
	oSpan.innerHTML = sReportDate[0];
	</script>
	<div class="lineBottom"></div>
	<div class="ReportFooter">本报告仅供临床医生参考，签字有效。</div>
	<div style="visibility:hidden">{%iwbtnFree%}</div>
	<div>{%iwtxtFree%}</div>
	</td>	 
	<td valign="top">
	<div class="ReportHeader1">{%lblRReportTitle1%}</div>
	<div class="ReportHeader2">{%lblRReportTitle2%}</div>
	<div class="ReportHeader3">{%lblRReportTitle3%}</div>
	<div class="ReportReturn">{%lblRReturn%}</div>
	<script type="text/javascript">
	// 去掉下划线
	var oA1 = document.getElementById("LBLRREPORTTITLE1");
	if (oA1 != null)
		oA1.style.textDecoration = "none";
	var oA2 = document.getElementById("LBLRREPORTTITLE2");
	if (oA2 != null)
		oA2.style.textDecoration = "none";
	var oA3 = document.getElementById("LBLRREPORTTITLE3");
	if (oA3 != null)
		oA3.style.textDecoration = "none";
	var oA4 = document.getElementById("LBLRRETURN");
	if (oA4 != null)
		oA4.style.textDecoration = "none";
	</script>
	<br/>
	<div class="StudyInfo"> 姓名：{%lblRPatientName%}&nbsp;&nbsp;&nbsp;&nbsp;性别：{%lblRPatientSex%}&nbsp;&nbsp;&nbsp;&nbsp;年龄：{%lblRPatientAge%}&nbsp;&nbsp;&nbsp;&nbsp;临床诊断：{%lblRStudyClinicinfo%}<br />
	<div class="lineDot"></div>
	  检查号：{%lblRStudyGuid%}    &nbsp;&nbsp;&nbsp;设备型号：{%lblRStudyModalityType%}&nbsp;&nbsp;&nbsp;检查部位：{%lblRStudyBodypart%}
	<div class="lineDot"></div>
	  申请科室：{%lblRStudyDepartment%}    &nbsp;&nbsp;&nbsp;申请医生：{%lblRStudyApplicant%}&nbsp;&nbsp;&nbsp;住院号：{%lblRStudyNumber2%}&nbsp;&nbsp;&nbsp;病床号：{%lblRStudySickBed%}&nbsp;&nbsp;&nbsp;<br />
	<div class="lineDot"></div>
	</div>
	<div id="idRImages"> 
	{%imfRImage0%}
	{%imfRImage1%}
	{%imfRImage2%}
	{%imfRImage3%}
	{%imfRImage4%}
	{%imfRImage5%}
	{%imfRImage6%}
	{%imfRImage7%}
	{%imfRImage8%} 
	</div><br />
	<script type="text/javascript">
	LayoutRImages();
	</script>
	<div class="ReportText2">影像所见:</div>
	<div class="ReportText">{%txtRReportFinding%}</div>
	<br/>
	<div class="ReportText2">影像提示:</div>
	<div class="ReportText">{%txtRReportDiagnosis%}</div>
	<br/>
	<div class="ReportSignature"><strong>诊断医生: </strong>{%lblRReportDiagnostician%}</div>
	<div class="ReportSignature"><strong>报告时间: </strong>{%lblRReportDttm%}</div>
	<script type="text/javascript">
	// 去掉报告时间，保留报告日期.
	var oSpan = document.getElementById("LBLRREPORTDTTM");
	var sReportDttm = oSpan.innerHTML;
	var sReportDate = sReportDttm.split(" ");
	oSpan.innerHTML = sReportDate[0];
	</script>
	<div class="lineBottom"></div>
  <div class="ReportFooter">本报告仅供临床医生参考，签字有效。</div></td>
</tr>
</table>

<p>&nbsp;</p>
<div style="visibility:hidden"></div>
</body>
</html>
